Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/ug/kyc/nin
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
nin *stringNational ID Number (NIN)required
first_namestringThe first name of the document holderoptional
last_namestringThe last name of the document holderoptional

Sample response

Response
{
  
    "entity": {
        "id_number": "CM123456789AB",
        "first_name": "John",
        "last_name": "Doe",
        "middle_name": "Anon",
        "date_of_birth": "1990-01-01"
    }

  
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.id_numberstringNational ID Number (NIN) of the individual
entity.first_namestringFirst name of the individual
entity.last_namestringLast name of the individual
entity.middle_namestringMiddle name of the individual
entity.date_of_birthstringDate of birth in YYYY-MM-DD format